def print_goals_for_registration_report registration_id, goal_id=nil
  reg = get_registration registration_id

  goals = get_goals reg['learning_instance_id']

  if goal_id
    goals = goals.select{|g| g['id'] == goal_id}
  end

  puts " "
  puts "===================="
  puts "Learning instance: #{reg['learning_instance_id']}"
  puts ""
  goals.each do |goal|
    puts "--------------------"
    puts "active: #{check_if_activated(reg['learning_instance_id'], registration_id, goal['id'])}"
    puts "#{goal.to_yaml}"
    puts " "

  end

  return ''
end
