"""
This file contains methods that are used to deal with
shell commands.

Nothing should really be using these anymore (it is a holdover
from how test data used to be managed.)  Nonetheless, its possible
some client of kgrift is out there using this, so its being kept around

"""

class ::ShellCommandFailed < Exception; end

def execute_shell_command cmd_string
  Log.debug "Executing shell command:\n\t#{cmd_string}"
  output = %x(#{cmd_string} 2>&1).strip #catch stderr so we can log it properly, strip whitespace to make processing easier
  Log.debug "Shell command returned:\n\t#{output}"
  raise ShellCommandFailed.new("Shell cmd failed.\nCommand: #{cmd_string}\nOutput: #{output}") unless $?.success?
  output
end


