"""
Make a graph which contains learning objectives
it is used for various learning objective test cases across analytics and recommendations
"""
begin require 'kplatform'; rescue LoadError; end

# make a path to  ../test_graphs/lo_test_graph.xlsx
file_path = File.join File.dirname(File.dirname(__FILE__)),
  'test_graphs/lo_test_graph.xlsx'

graph_label = 'lo_test_graph'
# the external gref for the graph
graph_name = "#{graph_label}_#{random_string}"

# graph will be made under knewton partner, and thus
# everyone can access it, unlike if it were made under a different
# specific client id, in which case only that partner could use it
client_id = 'knewton'

kraph = KPlatform::KnewtonGraph.new client_id, graph_label, graph_name, file_path
kraph.ingest_graph
graph_id = kraph.get_graph_id

graph = nil
eventually do
  graph = get_graph graph_id
end

{
  'id' => graph_id,
  'name' => graph_name,
  'gref' => "gref-#{graph_name}",
  'graph' => graph,
}
