"""

Make a graph and associated set of taxonomies.
This graph has a couple special properties which makes it different from basic_book_and_taxonomies
- It is owned by a partner (not the knewton partner)
- It has special unicode characters all through the external IDs

"""

# fill up this hash with the graph and taxonomy data
data = {}

set_account :partner
data['partner_id'] = get_partner_id_for_current_account

set_account :knerd

data['graph_id'] = create_basic_book_and_taxonomies data['partner_id'], true

# get the graph
data['graph'] = get_graph data['graph_id']
# get the taxonomies
data['taxonomies'] = get_taxonomies_for_graph data['graph_id']
# for convenience, extract the taxonomy IDs into a seperate list
data['taxonomy_ids'] = data['taxonomies'].map {|tax| tax['id']}

# last line of a generator must be this hash of test data getting returned
data
